Name:           perl-String-CRC32
Version:        2.100
Release:        1
Summary:        Perl interface for cyclic redundancy check generation
License:        Public Domain
URL:            https://metacpan.org/release/String-CRC32
Source0:        https://cpan.metacpan.org/modules/by-module/String/String-CRC32-%{version}.tar.gz

BuildRequires:  coreutils findutils gcc make perl-devel perl-generators perl-interpreter perl(ExtUtils::MakeMaker)
BuildRequires:  perl(DynaLoader) perl(Exporter) perl(strict) perl(vars) perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%{?perl_default_filter}

%description
The CRC32 module calculates CRC sums of 32 bit lengths as integers. It generates the same CRC
values as ZMODEM, PKZIP, PICCHECK and many others.

Despite its name, this module is able to compute the checksum of files as well as strings.

%package help
Summary:        Help package for perl-String-CRC32

%description help
This package contains some man help files for perl-String-CRC32.

%prep
%autosetup -n String-CRC32-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist | xargs rm
%{_fixperms} -c $RPM_BUILD_ROOT

%check
make test

%files
%doc LICENSE README.md
%{perl_vendorarch}/{String,auto}/

%files help
%{_mandir}/man3/String::CRC32.3*

%changelog
* Tue Jun 14 2022 SimpleUpdate Robot <tc@openeuler.org> - 2.100-1
- Upgrade to version 2.100

* Mon Dec 23 2019 lingsheng <lingsheng@huawei.com> - 1.7-4
- Package init
